package ssl;

import COM.claymoresystems.ptls.SSLContext;

/**
 * This is a mechanically-generated class designed to help me figure out
 * why PureTLS-SSL and RMI were working so horribly together.
 */
public class DebugSSLServerSocket
	extends COM.claymoresystems.ptls.SSLServerSocket {

	SSLContext context;	// my copy

	public DebugSSLServerSocket(COM.claymoresystems.ptls.SSLContext p0, int p1)
		throws java.io.IOException {
		super(p0, p1);
		context = p0;
		System.err.println("DebugSSLServerSocket.DebugSSLServerSocket()");
	}

	public DebugSSLServerSocket(COM.claymoresystems.ptls.SSLContext p0, int p1, int p2)
		throws java.io.IOException {
		super(p0, p1, p2);
		System.err.println("DebugSSLServerSocket.DebugSSLServerSocket()");
	}

	public DebugSSLServerSocket(COM.claymoresystems.ptls.SSLContext p0, int p1, int p2, java.net.InetAddress p3)
		throws java.io.IOException {
		super(p0, p1, p2, p3);
		System.err.println("DebugSSLServerSocket.DebugSSLServerSocket()");
	}

	public DebugSSLServerSocket(COM.claymoresystems.ptls.SSLContext p0, java.lang.Integer p1, java.lang.Integer p2, java.net.InetAddress p3)
		throws java.io.IOException {
		super(p0, p1, p2, p3);
		System.err.println("DebugSSLServerSocket.DebugSSLServerSocket()");
	}

	public static void main(java.lang.String[] p0)
		throws java.io.IOException {
		System.err.println("DebugSSLServerSocket.main()");
		COM.claymoresystems.ptls.SSLServerSocket.main(p0);
	}

	public java.net.Socket accept()
		throws java.io.IOException {
		System.err.println("DebugSSLServerSocket.accept()");
		DebugSSLSocket s = new DebugSSLSocket();
		implAccept(s);
		s.serverHandshake(context);
		return s;
	}

}
